<?php

namespace App\Filament\Resources\InvoiceReportResource\Pages;

use App\Filament\Resources\InvoiceReportResource;
use Filament\Actions\Action;
use Filament\Resources\Pages\ListRecords;

class ListInvoiceReports extends ListRecords
{
    protected static string $resource = InvoiceReportResource::class;

    protected static ?string $title = 'Invoice Reports';

    protected function getHeaderActions(): array
    {
        return [
            Action::make('generateReport')
                ->label('Make Report')
                ->icon('lucide-printer'),
        ];
    }
}
